NAME

 Gimp::Compat - compatibility functions for older versions of Gimp.


SYNOPSIS

 <loaded automatically on demand>


DESCRIPTION

Older versions of Gimp (version 1.0 at the time of this writing) lack some very important or useful functions.

This module is providing the most needed replacement functions. If you happen to miss a function then please create a replacement function and send it to me ;)

These functions are handled in exactly the same way as PDB-Functions, i.e. the (hypothetical) function gimp_image_xyzzy can be called as $image->xyzzy, if the module is available.


FUNCTIONS

gimp_text_fontname, gimp_get_extents_fontname
These are emulated in 1.0.

gimp_paintbrush
The last two arguments only available in 1.1 are simply dropped.


AUTHOR

Various, Dov Grobgeld <dov@imagic.weizmann.ac.il>. The author of the Gimp-Perl extension (contact him to include new functions) is Marc Lehmann <pcg@goof.com>